#!/usr/bin/python
# debug_handler.py
#------------------------------------------
from PyQt4 import QtCore
#------------------------------------------

# Allows the user to debug a program
class Debug_handler(QtCore.QObject):
	_event_loop = QtCore.QEventLoop()

	# Pause the program. If the program is already paused, this does nothing.
	@classmethod
	def pause(cls):
		if not cls._event_loop.isRunning():
			cls._event_loop.exec_()

	# Resume the program. If the program is already running, this does nothing.
	@classmethod
	def resume(cls):
		if cls._event_loop.isRunning():
			cls._event_loop.quit()
