#ifndef PYTHONINTEROPDEMO_H
#define PYTHONINTEROPDEMO_H

#include <QMainWindow>

namespace Ui {
    class PythonInteropDemo;
}

class PythonInteropDemo : public QMainWindow
{
    Q_OBJECT

public:
    explicit PythonInteropDemo(QWidget *parent = 0);
    ~PythonInteropDemo();

private slots:
	void Run_Clicked();

private:
    Ui::PythonInteropDemo *ui;

	static const char *CATCH_PYTHON_OUTPUT;
	static const char *CATCHER_NAME;
	static const char *OUTPUT_NAME;
	static const char *DEBUG_RUN;
	static const char *DEBUG_PAUSE;
	static const char *IMPORT_DEBUG;
	static const char *APPEND_TO_PATH;
};

#endif // PYTHONINTEROPDEMO_H
